/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
* 查询接口--数据传输对象：状态统计
*
* createdate:  2021-11-22 16:46:50  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "高紧急/高严重程度查询对象")
public class BugHighDegreeChartQueryDto implements Serializable
{
    @ApiModelProperty("租户id")
    private String tenantId;
    @ApiModelProperty("项目id列表")
    private List<String> projectIdList;
    @ApiModelProperty("缺陷编码")
    @Size(max = 100)
    private String bugOrder;
    @ApiModelProperty("类型：1高紧急、2高严重")
    private String recordType;
    @ApiModelProperty("查询触发类型：1初始化查询、2详情内查询")
    private String findType;

    public String getFindType() {
        return findType;
    }

    public void setFindType(String findType) {
        this.findType = findType;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public List<String> getProjectIdList() {
        return projectIdList;
    }

    public void setProjectIdList(List<String> projectIdList) {
        this.projectIdList = projectIdList;
    }

    public String getBugOrder() {
        return bugOrder;
    }

    public void setBugOrder(String bugOrder) {
        this.bugOrder = bugOrder;
    }

    public String getRecordType() {
        return recordType;
    }

    public void setRecordType(String recordType) {
        this.recordType = recordType;
    }
}